<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.GncInspectionBean" />
    </data>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/ll"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="15dp"
        android:layout_marginVertical="5dp"
        android:background="@drawable/bg_item"
        android:orientation="horizontal"
        android:padding="10dp">

        <!-- 选中图标 -->
        <ImageView
            android:id="@+id/iv_icon"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_gravity="center"
            loadImage="@{bean.checked ? @drawable/img_plane_s : @drawable/img_plane}"
            android:src="@drawable/img_plane" />

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:layout_marginLeft="10dp"
            android:orientation="vertical">

            <!-- 第一行数据 -->
            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <!-- 运单号 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.2"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        completeSpace="@{4}"
                        android:text="运单号：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.wbNo}"
                        android:textColor="@color/colorPrimary"
                        tools:text="78109081212" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 代理人 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        completeSpace="@{4}"
                        android:text="代理人：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text='@{bean.agentCode}'
                        tools:text="SF" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 特码 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.8"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        completeSpace="@{4}"
                        android:text="特码：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.spCode}"
                        tools:text="NOR" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 预配件数 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        completeSpace="@{5}"
                        android:text="预配件数：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text='@{bean.apc}'
                        tools:text="11" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 预配重量 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        completeSpace="@{5}"
                        android:text="预配重量：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text='@{bean.weight}'
                        tools:text="12" />

                </androidx.appcompat.widget.LinearLayoutCompat>

            </androidx.appcompat.widget.LinearLayoutCompat>

            <!-- 第二行数据 -->
            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp">

                <!-- 计划航班 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.2"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        completeSpace="@{5}"
                        android:text="计划航班：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.flight}"
                        tools:text="20240216/MU2026" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 航程 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        completeSpace="@{4}"
                        android:text="航程：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text='@{bean.route}'
                        tools:text="HFE - PEK" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 预计起飞 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        completeSpace="@{5}"
                        android:text="预计起飞：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.scheduledTackOff}"
                        tools:text="09:12" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 业务类型 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.3"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        completeSpace="@{5}"
                        android:text="业务类型：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text='@{bean.businessType}'
                        tools:text="普通货物运输" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 审核状态 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        completeSpace="@{5}"
                        android:text="审核状态：" />

                    <TextView
                        android:id="@+id/tv_status"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text='@{bean.auditStatusName}'
                        android:textStyle="bold"
                        tools:text="已通过" />

                </androidx.appcompat.widget.LinearLayoutCompat>

            </androidx.appcompat.widget.LinearLayoutCompat>

        </LinearLayout>

        <!-- 右侧箭头 -->
        <ImageView
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_gravity="center"
            android:src="@mipmap/right_icon"
            android:layout_marginLeft="10dp" />

    </androidx.appcompat.widget.LinearLayoutCompat>
</layout>
